.sign-up{
    display: grid;
    grid-template-rows: 7rem 38rem 5rem;
    grid-row-gap: 1rem;

    &__header{
        grid-row: 1/2;
        font-size: 1.8rem;
        font-weight: 400;
        text-transform: uppercase;
        font-family: Roboto,"Helvetica Neue",sans-serif;

        display: grid;
        grid-template-columns: repeat(2,1fr);
        grid-template-rows: 3rem 3rem;
        grid-row-gap: 1rem;

        .mat-button-icon{
            grid-template-columns: 2/3;
            justify-self: end;
            align-self: center;
            cursor: pointer;
        }

        &--sub-header{
            grid-row: 2/3;
            grid-column: 1/-1;
        }
    }

    &__form{
        grid-row: 2/3;
        grid-column: 1fr;
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: repeat(5,7.5rem);
        font-size: 1.5rem;
        padding: 2rem 0;
    }

    &__btn-container{
        grid-row: 3/4;
        padding: 1rem 0;        

        .mat-raised-button{
            height: 5rem;
            width: 15rem;
        }
    }
}